[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TMovedEvent

Specifies an event handler signalled when the display order of rows or columns is changed.

## Declaration

Source position: dbgrids.pas line 99

`type TMovedEvent = procedure(`
`Sender: TObject;`
`FromIndex: Integer;`
`ToIndex: Integer`
`) of object;`

## Arguments

`Sender` |  | Grid control for the event.
`FromIndex` |  | Previous ordinal position for the event.
`ToIndex` |  | New ordinal position for the event.

## Description

TMovedEvent specifies an event handler signalled when the display order of rows or columns is changed. TMovedEvent is the type used for the OnColumnMoved and OnRowMoved properties in TDBGrid.

## See also

TCustomDBGrid.OnColumnMoved |  | Event handler signalled when the order of a column is changed.
TCustomDBGrid.OnRowMoved |  | Event handler signalled when a row is moved on the grid control.